# frozen_string_literal: true

module ErpIntegration
  # The `ErpIntegration::BillOfMaterial` exposes an uniformed API for interaction with
  # third-party ERP vendors.
  class BillOfMaterial < Resource
    attr_accessor :active, :attachments, :cost, :create_date, :create_uid, :id,
                  :inputs, :instructions, :is_built_on_the_fly, :location, :messages,
                  :metadata, :name, :output_products, :outputs, :private_notes, :products,
                  :public_notes, :quantity_buildable, :quantity_expected, :rec_blurb,
                  :rec_name, :routing, :state, :supervisor, :version, :warehouse, :work_center,
                  :write_date, :write_uid
  end
end
