# frozen_string_literal: true

module ErpIntegration
  # The `ErpIntegration::ProductionOrder` exposes an uniformed API for interaction with
  # third-party ERP vendors.
  class ProductionOrder < Resource
    attr_accessor :allow_partial_done, :attachments, :bom, :byproduct_cost, :company,
                  :company_currency_digits, :cost, :create_date, :create_uid, :effective_date,
                  :effective_start_date, :from_location, :inputs, :inventory_cost, :inventory_cost_cache,
                  :labor_cost, :labor_cost_cache, :last_modification, :location, :messages, :metadata, :number,
                  :on_hold, :origin, :outputs, :outsourced_work_cost, :outsourced_work_cost_cache, :picked_at,
                  :picker, :picking_status, :planned_date, :planned_start_date, :priority, :private_notes, :product,
                  :product_code, :production_batch, :public_notes, :purchase_lines, :quantity, :quantity_done,
                  :quantity_remaining, :rec_blurb, :description, :id, :subtitle, :thumbnail, :title, :rec_name,
                  :reference, :reporting_date, :routing, :sales_order_number, :sales_order_reference, :shipments,
                  :state, :supervisor, :to_location, :tsv, :unit_digits, :uom, :uom_category, :warehouse, :work_center,
                  :works, :write_date, :write_uid
  end
end
