# frozen_string_literal: true

module ErpIntegration
  # The `ErpIntegration::PurchaseOrderLine` exposes an uniformed API for
  # interaction with third-party ERP vendors.
  class PurchaseOrderLine < Resource
    attr_accessor :id, :amount, :delivery_date, :product, :quantity, :unit_price,
                  :attachments, :create_date, :create_uid, :description, :invoice_lines,
                  :metadata, :note, :purchase, :quantity_canceled, :quantity_invoiced,
                  :quantity_received, :sequence, :taxes, :type, :unit, :write_date, :write_uid
  end
end
