# frozen_string_literal: true

module ErpIntegration
  # The `ErpIntegration::PurchaseRequest` exposes an uniformed API for interaction with
  # third-party ERP vendors.
  class PurchaseRequest < Resource
    attr_accessor :id, :party, :product, :quantity, :attachments, :company,
                  :create_date, :create_uid, :customer, :delivery_address,
                  :metadata, :purchase, :purchase_date, :purchase_line, :state,
                  :uom, :warehouse, :write_date, :write_uid
  end
end
