# frozen_string_literal: true

module ErpIntegration
  # The `ErpIntegration::SalesReturnReason` exposes an uniformed API for interaction with
  # third-party ERP vendors.
  class SalesReturnReason < Resource
    attr_accessor :attachments, :create_date, :create_uid, :description,
                  :id, :messages, :metadata, :name, :private_notes,
                  :public_notes, :rec_blurb, :rec_name, :write_date,
                  :write_uid
  end
end
