# frozen_string_literal: true

module ErpIntegration
  class SupplierShipment < Resource
    attr_accessor :acknowledged_by_3pl_at, :attachments, :carrier, :carrier_service,
                  :company, :contact_address, :cost, :cost_currency, :create_date,
                  :create_uidcustomer_shipments, :effective_date, :id, :incoming_moves,
                  :inventory_moves, :metadata, :moves, :number, :packages, :planned_date,
                  :reference, :sent_to_3pl_at, :shipping_instructions, :shipping_manifest,
                  :sscc_code, :state, :supplier, :supplier_location, :total_quantity,
                  :tpl_status, :tracking_number, :warehouse, :weight, :weight_uom,
                  :write_date, :write_uid
  end
end
