# frozen_string_literal: true

module ErpIntegration
  # The `ErpIntegration::BillOfMaterialInput` exposes an uniformed API for interaction with
  # third-party ERP vendors.
  class BillOfMaterialInput < Resource
    attr_accessor :attachments, :bom, :create_date, :create_uid, :id, :messages,
                  :metadata, :private_notes, :product, :public_notes, :quantity,
                  :rec_blurb, :rec_name, :sequence, :to_location, :unit_digits,
                  :uom, :uom_category, :warehouse, :write_date, :write_uid
  end
end
