# frozen_string_literal: true

module ErpIntegration
  # The `ErpIntegration::CustomerShipmentReturn` exposes an uniformed API for interaction with
  # third-party ERP vendors.
  class CustomerShipmentReturn < Resource
    attr_accessor :aes_itn, :attachments, :available_carrier_services, :carrier,
                  :carrier_billing_account, :carrier_cost_method, :carrier_duties_account,
                  :carrier_service, :channels, :company, :contents_explanation, :contents_type,
                  :cost, :cost_currency, :cost_currency_digits, :create_date, :create_uid,
                  :customer, :customer_location, :customs_items, :delivery_address, :delivery_mode,
                  :done_by, :duties_tax_id, :duties_tax_id_type, :eel_pfc, :effective_date,
                  :eori_number, :id, :incoming_moves, :inventory_moves, :is_international_shipping,
                  :is_shippo, :last_modification, :license_plates, :messages, :metadata, :moves,
                  :origins, :number, :packages, :planned_date, :private_notes, :public_notes, :putaway_by,
                  :rec_blurb, :rec_name, :received_by, :reference, :require_customs, :root_packages, :sales,
                  :sent_to_3pl_at, :shipping_instructions, :shipping_manifest, :sscc_code, :state,
                  :total_customs_value, :tpl_status, :tracking_number, :tsv, :warehouse, :warehouse_input,
                  :warehouse_storage, :warehouse_type, :weight, :weight_digits, :weight_uom,
                  :weight_uom_symbol, :write_date, :write_uid
  end
end
