# frozen_string_literal: true

module ErpIntegration
  # The `ErpIntegration::PurchaseOrder` exposes an uniformed API for interaction with
  # third-party ERP vendors.
  class PurchaseOrder < Resource
    attr_accessor :id, :lines, :number, :party, :purchase_date, :warehouse,
                  :approval_status, :attachments, :company, :create_date, :create_uid,
                  :currency, :customer, :delivery_address, :description, :invoice_address,
                  :invoice_method, :invoice_state, :invoices, :metadata, :payment_term,
                  :purchase_person, :reference, :shipment_method, :shipments, :state,
                  :tax_amount, :total_amount, :total_quantity, :untaxed_amount, :write_date,
                  :write_uid
  end
end
