# frozen_string_literal: true

module ErpIntegration
  # The `ErpIntegration::TrackingNumber` exposes an uniformed API for interaction with
  # third-party ERP vendors.
  class TrackingNumber < Resource
    attr_accessor :attachments, :attempts, :carrier, :carrier_identifier,
                  :carrier_service, :create_date, :create_uid, :delivered_at,
                  :delivered_date, :delivery_date, :delivery_time, :easypost_order_id,
                  :estimated_delivery_date, :id, :is_master, :messages, :metadata,
                  :next_update_at, :origin, :private_notes, :public_notes, :rec_blurb,
                  :rec_name, :reference, :scac, :state, :tracking_number,
                  :tracking_url, :transportation_mode, :write_date, :write_uid
  end
end
